# IncrementalCompileOptions

abstract class IncrementalCompileOptions

Options for incremental compilation of Scala code. Only used for compilation with Zinc. This is not sent to the compiler daemon as options.

## Constructors

IncrementalCompileOptions
Link copied to clipboard
@Inject
constructor(objectFactory: ObjectFactory)

## Properties

analysisFile
Link copied to clipboard
@get:LocalState
val analysisFile: RegularFileProperty
classfileBackupDir
Link copied to clipboard
@get:LocalState
val classfileBackupDir: RegularFileProperty
publishedCode
Link copied to clipboard
@get:Internal
val publishedCode: RegularFileProperty